org.eclipse.jetty.security.authentication

## Class SpnegoAuthenticator

- java.lang.Object
- - org.eclipse.jetty.security.authentication.LoginAuthenticator
  - - org.eclipse.jetty.security.authentication.SpnegoAuthenticator

All Implemented Interfaces:
  Authenticator

    public class SpnegoAuthenticator
    extends LoginAuthenticator

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator

`Authenticator.AuthConfiguration, Authenticator.Factory`

### Field Summary

### Fields inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator

`_identityService, _loginService`

### Constructor Summary

Constructors
Constructor and Description
`SpnegoAuthenticator()`
`SpnegoAuthenticator(String authMethod)` Allow for a custom authMethod value to be set for instances where SPENGO may not be appropriate

### Method Summary

Methods
`String` `getAuthMethod()`
`boolean` `secureResponse(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, boolean mandatory, Authentication.User validatedUser)`
`Authentication` `validateRequest(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, boolean mandatory)` Validate a response

### Methods inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator

`getLoginService, renewSession, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpnegoAuthenticator

    public SpnegoAuthenticator()

#### SpnegoAuthenticator

    public SpnegoAuthenticator(String authMethod)

Allow for a custom authMethod value to be set for instances where SPENGO may not be appropriate

Parameters:
  `authMethod` -

### Method Detail

#### getAuthMethod

    public String getAuthMethod()

Returns:
  The name of the authentication method

#### validateRequest

    public Authentication validateRequest(javax.servlet.ServletRequest request,
                                 javax.servlet.ServletResponse response,
                                 boolean mandatory)
                                   throws ServerAuthException

Description copied from interface: `Authenticator`
Validate a response

Parameters:
  `request` - The request
  `response` - The response
  `mandatory` - True if authentication is mandatory.
Returns:
  An Authentication. If Authentication is successful, this will be a `Authentication.User`. If a response has been sent by the Authenticator (which can be done for both successful and unsuccessful authentications), then the result will implement `Authentication.ResponseSent`. If Authentication is not manditory, then a `Authentication.Deferred` may be returned.
Throws:
  `ServerAuthException`

#### secureResponse

    public boolean secureResponse(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         boolean mandatory,
                         Authentication.User validatedUser)
                           throws ServerAuthException

Returns:
  true if response is secure
Throws:
  `ServerAuthException`